#include <iostream>
#include <vector>
using namespace std;
int f(int s, int n, vector<int> a, int k){
    int zbir =0;
    if(k==0){
        for(int i=s;i<n;i++){
                zbir+=a[i];
        }
    }
    else{
        vector<int> b;
        for(int i=0;i<n-s;i++){
            b.clear();
            for(int j=i;j<n-s;j++){
                b.push_back(a[j]);
                zbir+=f(0,j-i+1,b,k-1);
            }
        }
    }
    return zbir;
}

int main()
{
    int n,k;
    cin>>n>>k;
    vector<int> a(n);
    for(int i=0;i<n;i++){
        cin>>a[i];
    }
    cout<<f(0,n,a,k);
}